<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.css">
    <style>
        #calculadora {
            background-color: rgb(54, 49, 49);
            width: 500px;
            height: 700px;
            display: grid;
            grid-template-rows: 1fr 5fr;
            justify-content: center;
            margin: 10px 100px;
            gap: 20px;
            padding: 20px;
        }

        #pantalla {
            text-align: end;
            background-color: rgb(90, 81, 81);
            border: 2px rgb(255, 255, 255) solid;
        }

        #numeros {
            color: white;
            text-align: end;
            font-size: 3em;
        }

        #teclas {
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
        }

        button {
            margin: 10px;
            width: 90px;
            color: white;
            background-color: rgb(66, 61, 61);
        }

        #cero {
            width: 200px;
        }

        #igual {
            position: absolute;
            height: 194px;
            top: 477px;
            left: 450px;
        }
    </style>
</head>

<body>
    <div id="calculadora">
        <div id="pantalla">
            <p id="numeros">0</p>
        </div>
        <div id="teclas">
            <button>C</button>
            <button>&plusmn;</button>
            <button>/</button>
            <button>*</button>
            <button>7</button>
            <button>8</button>
            <button>9</button>
            <button>-</button>
            <button>4</button>
            <button>5</button>
            <button>6</button>
            <button>+</button>
            <button>1</button>
            <button>2</button>
            <button>3</button>
            <button id="igual">=</button>
            <button id="cero">0</button>
            <button>.</button>

        </div>
    </div>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        let borrar = 1;
        let operador = 0;
        $('button').click(function (numero) {
            numero = $(this).html();
            if (numero == 'C') {
                $('#numeros').html('');
            } else if (numero == '=') {
                let resultado = eval($('#numeros').html());
                $('#numeros').html(resultado);
                borrar++;
                operador = 0;
            } else if (borrar > 0) {
                $('#numeros').html('');
                $('#numeros').append(numero);
                borrar = 0;
            } else if (operador > 1) {
                alert('Error');
                $('#numeros').html('');
            } else if (numero == '/' || numero == '*' || numero == '-' || numero == '+') {
                $('#numeros').append(numero);
                operador++;
            } else {
                $('#numeros').append(numero);
            }
        });
    </script>
</body>

</html>